package com.crm.rely.backend.core.dto.follow.deal.trade;

import lombok.Data;

/**
 *
 * @author y
 * @create 2022/5/20
 */
@Data
public class FollowDealOrderRecordSumDto {

    private Float volume;

    private Float storage;

    private Float commission;

    private Float profit;

    private Float totalProfit;

    public static FollowDealOrderRecordSumDto getInstance(){
        FollowDealOrderRecordSumDto sumDto = new FollowDealOrderRecordSumDto();
        sumDto.setVolume(0F);
        sumDto.setStorage(0F);
        sumDto.setCommission(0F);
        sumDto.setProfit(0F);
        sumDto.setTotalProfit(0F);

        return sumDto;
    }

}
